15 de Julio, 2004

Maldita versionitis

Si es que al final nos acaba afectando a todos. A ver, lo anoto aquí para la próxima: si funciona, no lo toques.

Que terrible es la promesa de tener algo mejor, lo último, lo más moderno y con las características más sonantes. Al final acabamos picando.

La verdad es que estaba contento con OpenBSD 3.3 en mi portátil, pero me entró ese cosquilleo de ver la 3.5 calentita. Y la instalé :'(.

Todo parecía ir correctamente hasta que, ayer sentado frente a la ventana de casa de Sonia (donde se coge elxwifi), hice uso intensivo del Firefox. Al enviar un form me daba el error en la consola: Virtual timer expired, y terminaba la aplicación :(.

Con Mozilla también pasaba. Con un poco de investigación encontré un par de informes de problemas similares, con el mismo infame mensaje de error, en usuarios de distintos portátiles. Y esto no pasaba con versiones anteriores del sistema, vaya.

A veces suceden estas cosas, se mete una nueva funcionalidad y algo deja de funcionar. No me extraña que el problema haya pasado desaprecibido al ser el uso de obsd en portátiles tan marginal.

Pues desde aquí, al infierno. Pruebo FreeBSD 4.10 y los disquetes de instalación no tienen driver para mi tarjeta de red PCMCIA.

Luego intento con el CD que tengo por aquí de la 4.9, que sí instala (claro, no uso instalación en red). Pero entonces recuerdo porqué quité fbsd del portátil: porque a veces, al arrancar, se hace la picha un lío con el hard de compaq y se queda frito mirando el puerto de la impresora :o. No creo que haga falta decirlo, pero me he dado cuenta cuando todo estaba instalado... cuando he reiniciado para arrancar la compatibilidad binaria con Linux y... se ha colgado.

No he tenido ganas de calentarme la cabeza. Así que vamos a lo que sabemos que funciona: Debian. Un momento como otro cualquiera para probar SID, ¿no? Igual no hay mal que por bien no venga. Ya, una leche. Aun quedaba mucho mal por venir.

Pruebo el instalador beta 4, para instalar directamente SID. Es beta, muy beta. Tanto que no particiona... me ha dado la impresión que ni ha visto mi HDD :D.

En fin. Vamos a por WOODY, esa Debian estable de siempre. Arranco con los disquetes, que el arranque con CD no funciona con el portátil (por si no fuera dura la vida de por sí). Instalo todo correctamente hasta que LILO dice que no puede instalarse por encima del cilindro 1024. Ay, que me da.

Vamos a ver, ¿eso no son 8GBs? Pues depende, porque resulta que la geometría del disco del portátil es un poco extraña, y aunque sean 3GBs de disco, pues ya lo que me faltaba por ver :D. 'Limitación de la BIOS', dice el instalador. Más bien un caso de miopía.

Bueno, los *BSD no se despistan con la geometría, al menos no OpenBSD y FreeBSD 4.x, así que me queda la opción new technology: FreeBSD 5.2.1.

No se hasta donde llegaremos esta vez, pero la criatura ha arrancado con los dos disquetes y está instalando el sistema base desde Internet (ha pillado la tarjeta de red en la instalación :o). Si lo que yo quiero es sencillito, para trabajar.

Eso sí, cuando vaya: ¡no lo toques!

Actualización: Todo funciona a las mil maravillas. He recompilado el kernel para activar el soporte APM (para consultar el estado de la batería y poco más) -que viene desactivado en favor de ACPI, no soportado por mi portátil-, quitar algo de peso (RAID, SCSI, etc.), y tras varias intentos fallidos (le he perdido la práctica a esto de configurar el kernel de FreeBSD :P), ¡corre que se las pela! Los paquetes son razonablemente modernos (y como es un BSD, tenemos al indispensable dstumbler :D), y por ahora la impresión general es muy buena. Se nota algo que va más rápido que OpenBSD, sobretodo los "pesados" como Mozilla (que el portátil es un Pentium 266MHz MMX con 64MBs de RAM, poquita cosa).

Anotación por Juan J. Martínez.

Los comentarios están cerrados: los comentarios se cierran automáticamente una vez pasados 30 días. Si quieres comentar algo acerca de la anotación, puedes hacerlo por e-mail.